Upstream information

CVE-2018-11218 at MITRE

Description

Memory Corruption was discovered in the cmsgpack library in the Lua subsystem in Redis before 3.2.12, 4.x before 4.0.10, and 5.x before 5.0 RC2 because of stack-based buffer overflows.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 9.8
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Attack Vector Network
Attack Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3
SUSE Bugzilla entries: 1097430 [RESOLVED / FIXED], 1097768 [RESOLVED / DUPLICATE]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Server Applications 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • redis >= 6.0.8-1.3.1
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP3 GA redis-6.0.10-1.7.1
SUSE Enterprise Storage 7
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Module for Server Applications 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • redis >= 6.0.8-1.3.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP2-2020-3291
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Server Applications 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • redis >= 6.2.6-150400.1.5
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP4 GA redis-6.2.6-150400.1.5
SUSE Linux Enterprise Module for Package Hub 15 SP5
  • python3-redis >= 3.4.1-3.3.1
Patchnames:
SUSE Linux Enterprise Module for Package Hub 15 SP5 GA python-redis-3.4.1-3.5.1
SUSE Linux Enterprise Module for Package Hub 15 SP6
  • python3-redis >= 3.4.1-3.3.1
Patchnames:
SUSE Linux Enterprise Module for Package Hub 15 SP6 GA python-redis-3.4.1-3.5.1
SUSE Package Hub 12
  • redis >= 4.0.10-15.1
Patchnames:
openSUSE-2019-481
openSUSE Leap 15.0
  • redis >= 4.0.10-lp150.3.3.1
Patchnames:
openSUSE-2019-481
openSUSE Tumbleweed
  • redis >= 6.2.5-1.2
Patchnames:
openSUSE-Tumbleweed-2024-11299


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 redis Released
SUSE Linux Enterprise High Performance Computing 15 SP5 redis7 Already fixed
SUSE Linux Enterprise Module for Package Hub 15 SP5 python-redis Released
SUSE Linux Enterprise Module for Package Hub 15 SP6 python-redis Released
SUSE Linux Enterprise Module for Server Applications 15 SP5 redis7 Already fixed
SUSE Linux Enterprise Server 15 SP5 redis7 Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP5 redis7 Already fixed
SUSE Package Hub 12 redis Released
openSUSE Leap 15.5 redis7 Already fixed
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 SP2 redis Released
SUSE Linux Enterprise High Performance Computing 15 SP3 redis Released
SUSE Linux Enterprise Module for Server Applications 15 SP2 redis Released
SUSE Linux Enterprise Module for Server Applications 15 SP3 redis Released
SUSE Linux Enterprise Server 15 SP2 redis Released
SUSE Linux Enterprise Server 15 SP3 redis Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 redis Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 redis Released
Products past their end of life and not receiving proactive updates anymore.
SUSE Enterprise Storage 7 redis Released
SUSE Manager Proxy 4.1 redis Released
SUSE Manager Proxy 4.2 redis Released
SUSE Manager Retail Branch Server 4.1 redis Released
SUSE Manager Retail Branch Server 4.2 redis Released
SUSE Manager Server 4.1 redis Released
SUSE Manager Server 4.2 redis Released


SUSE Timeline for this CVE

CVE page created: Wed Jun 13 14:00:30 2018
CVE page last modified: Tue Jul 2 18:00:54 2024